//+------------------------------------------------------------------+
//|                                           Candle_Body_Size_2.mq4 |
//|                                                           KatVar |
//|                                                   www.KatVar.com |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property version   "1.01"
#property description   "   ,   ,"
#property description   "          " 
#property strict

/* 1.01  02.05.2015  UPD    
   
*/

extern color  ColorBull = DodgerBlue;                       //       
extern color  ColorBeer = Red;                              //       
input  bool   ShowRast  = true;                             //  
extern color  ColorRast = Yellow;                           //    
extern string font_name = "Arial";                          // 
extern int    font_size = 10;                               //  
extern string NazvGold  = "XAUUSD";                         //  

//+------------------------------------------------------------------+
//|                                                           |
//+------------------------------------------------------------------+
void start()
{
   double k = (WindowPriceMax() - WindowPriceMin()) / 20;
   double Gd = 1;                                                          //   
   if (Symbol() == NazvGold) Gd = 10;
   
   for(int i=WindowFirstVisibleBar(); i>=0; i--)
   {
      double rs = (NormalizeDouble(Open[i],Digits) - NormalizeDouble(Close[i],Digits))/Point/Gd;
      double Rast;
      
      if (rs < 0) 
         {
          Drawtext(i, High[i]+k/2, DoubleToStr(rs*(-1),0), ColorBull,"");  // 
          if (i >= 1)                                                      //  0   
            {
             Rast = (NormalizeDouble(Open[i-1],Digits) - NormalizeDouble(Low[i-1],Digits))/Point/Gd;
             if (ShowRast == true) Drawtext(i, High[i]+k, DoubleToStr(Rast,0), ColorRast," R");
            } 
         } 
      if (rs > 0) 
         {
          Drawtext(i, Low[i]-Point, DoubleToStr(rs,0), ColorBeer,"");      // 
          if (i >= 1)                                                      //  0   
            {
             Rast = (NormalizeDouble(High[i-1],Digits) - NormalizeDouble(Open[i-1],Digits))/Point/Gd;
             if (ShowRast == true) Drawtext(i, Low[i]-k/2, DoubleToStr(Rast,0), ColorRast," R");
            } 
         } 
   }

}
//+------------------------------------------------------------------+
void deinit()
   {
     for(int i=ObjectsTotal()-1; i>-1; i--)                                //    
      {   
        string Name = ObjectName(i);                                       //  
    
        if (StringSubstr(Name,0,4) == "CAN ")  ObjectDelete(Name);         //    CAN - 
      }  
   }

//+------------------------------------------------------------------+
//|                                          |
//+------------------------------------------------------------------+

void Drawtext(int n, double Y1, string l, color c, string Suff)
{
   string Name = "CAN " + TimeToStr(Time[n],TIME_DATE|TIME_MINUTES) + Suff;
   ObjectDelete (Name);
   ObjectCreate (Name, OBJ_TEXT,0,Time[n],Y1,0,0,0,0);
   ObjectSetText(Name, l,font_size,font_name);
   ObjectSet    (Name, OBJPROP_COLOR, c);
}

     